OpenTTD Source: Data Fields - Variables

OpenTTD Source 14.0-RC3

### - s -

- s : Units , UnitsLong
- s_rail_change_counter : CSegmentCostCacheBase
- SAFE_LIMIT : ScriptAllocator
- save : SettingDesc
- save_config : AfterNewGRFScan
- savegame : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- savegame_id : GameSessionStats
- savegame_size : GameSessionStats
- saveinprogress : SaveLoadParams
- sb : NWidgetMatrix
- scale : FlowMapper , LinkGraphOverlay , Window
- scale_bevels : GUISettings
- scaled : WidgetDimensions
- scanned : ScanProgressWindow , ScenarioScanner
- scanner : ScriptInfo
- scanner_info : AI , Game
- scanner_library : AI , Game
- scenario_developer : GUISettings
- scenid : ScenarioIdentifier
- schedule : LinkGraphSchedule
- scheduled_invalidation_data : Window
- scheduled_resize : Window
- score : HighScore , LeagueTableElement , ScoreInfo
- score_width : ScriptLeagueWindow
- script : GameSettings , ICURun
- script_config : ScriptSettingsWindow
- script_debug_company : ScriptDebugWindow::FilterState
- script_max_memory_megabytes : ScriptSettings
- script_max_opcode_till_suspend : ScriptSettings
- scroll_interval : AboutWindow , DropdownWindow , NewsWindow
- scroll_mode : GUISettings
- scroll_to_row : StationViewWindow
- scroll_x : SmallMapWindow
- scroll_y : SmallMapWindow
- scrollbar_index : NWidgetCore
- scrolling : DropdownWindow
- scrollpos : TextfileWindow::HistoryEntry
- scrollpos_x : ViewportData
- scrollpos_y : ViewportData
- scrollwheel_multiplier : GUISettings
- scrollwheel_scrolling : GUISettings
- sdl_window : VideoDriver_SDL_Base
- se_flat_world_height : GameCreationSettings
- SEARCH_IN_TARS : BaseSet< T, Tnum_files, Tsearch_in_tars >
- search_iterator : TextfileWindow
- searched_internet : NetworkGameWindow
- SECONDS_PER_DAY : TimerGameConst< T >
- seen_hops : LinkRefresher
- segments : MpsMachine
- sel_engine : BuildVehicleWindow , ReplaceVehicleWindow
- sel_group : ReplaceVehicleWindow
- sel_index : TownAuthorityWindow
- sel_railtype : ReplaceVehicleWindow
- sel_roadtype : ReplaceVehicleWindow
- select_method : TileHighlightData
- select_proc : TileHighlightData
- selected : NetworkContentListWindow , SaveLoadWindow , SavePresetWindow , ScriptListWindow
- selected_generic_title : StoryBookWindow
- selected_layout : Industry
- selected_page_id : StoryBookWindow
- selected_refit : RefitWindow
- selected_result : DropdownWindow
- selected_slot : AIConfigWindow
- selected_type : BuildIndustryWindow
- selected_vehicle : RefitWindow
- selectgoods : OrderSettings
- selend : TileHighlightData
- self_scope : VehicleResolverObject
- self_type : VehicleScopeResolver
- selstart : TileHighlightData
- semaphore_build_before : GUISettings
- sent_result : ClientNetworkStunSocketHandler
- separator : CurrencySpec
- seq : DrawTileSprites
- seq_group_names : IniLoadFile
- serve_neutral_industries : StationSettings
- server : NetworkGameWindow
- server_address : TCPServerConnecter
- server_admin_chat : NetworkSettings
- server_admin_port : NetworkSettings
- server_connection_string : NetworkAskRelayWindow
- server_game_type : NetworkSettings
- server_invite_code : NetworkSettings
- server_invite_code_secret : NetworkSettings
- server_name : NetworkServerGameInfo , NetworkSettings
- server_password : NetworkJoinInfo , NetworkSettings
- server_port : NetworkSettings
- server_revision : NetworkServerGameInfo
- servers : NetworkGameWindow
- service_interval : BaseConsist
- serviceathelipad : OrderSettings
- servint_aircraft : VehicleDefaultSettings
- servint_ispercent : VehicleDefaultSettings
- servint_roadveh : VehicleDefaultSettings
- servint_ships : VehicleDefaultSettings
- servint_trains : VehicleDefaultSettings
- set : MusicSystem::PlaylistEntry
- set_index : MusicSystem::PlaylistEntry
- set_start_date_all : TimetableWindow
- setting : SettingEntry
- settings : CompanyProperties , LinkGraphJob , ScriptConfig
- settings_ptr : GameSettingsWindow
- settings_restriction_mode : GUISettings
- setup : VideoDriver_Cocoa
- setup_prod : Cheats
- severity : GRFError
- sf : SaveLoadParams
- sg_full_load_any : GUISettings
- sg_new_nonstop : GUISettings
- shade_select : Window
- shadebox : WidgetDimensions
- shadebox_dimension : NWidgetLeaf
- shaded : DropDownListItem
- shared : LinkProperties
- shares : FlowStat
- shift : OskWindow
- ship_curve45_penalty : YAPFSettings
- ship_curve90_penalty : YAPFSettings
- ship_station : Station
- ship_use_yapf : YAPFSettings
- shore : GRFLoadedFeatures
- short_name : ScriptInfo
- short_path_saturation : LinkGraphSettings
- shorten_factor : RailVehicleInfo , RoadVehicleInfo
- shortname : BaseGraphics::Ini , BaseSet< T, Tnum_files, Tsearch_in_tars > , OptionData
- shouldplayflag : MpsMachine
- show_all : ScriptListWindow
- show_break_box : ScriptDebugWindow
- show_cargo_in_vehicle_lists : GUISettings
- show_date_in_logs : GUISettings
- show_dirs : ConsoleFileList
- show_expected : TimetableWindow
- show_finances : GUISettings
- show_hidden_engines : BuildVehicleWindow , ReplaceVehicleWindow
- show_newgrf_name : GUISettings
- show_on_map : LegendAndColour
- show_params : NewGRFWindow
- show_towns : SmallMapWindow
- show_track_reservation : GUISettings
- show_zone : Town
- shown_plane : NWidgetStacked
- shuffle : MusicSettings
- sig_sprite_bottom_offset : BuildSignalWindow
- sig_sprite_size : BuildSignalWindow
- sign : BaseStation , TownCache
- signal : CompanyInfrastructure
- signal_gui_mode : GUISettings
- signals : RailTypeInfo
- signum : CrashLogOSX , CrashLogUnix
- simplified_filename : RandomAccessFile
- single_e : RailTypeInfo
- single_n : RailTypeInfo
- single_s : RailTypeInfo
- single_sloped : RailTypeInfo
- single_w : RailTypeInfo
- single_x : RailTypeInfo
- single_y : RailTypeInfo
- size : FontCacheSubSetting , Map , NWidgetPartTextLines , NWidgetPartTextStyle , ObjectSpec , OutputBuffer , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , SaveLoad , TileHighlightData
- size_x : AirportSpec , GenWorldInfo , Map
- size_y : AirportSpec , GenWorldInfo , Map
- sizelimit : TileHighlightData
- skip_left : Blitter::BlitterParams
- skip_sprites : GrfProcessingState
- skip_top : Blitter::BlitterParams
- slopes_refused : IndustryTileSpec
- slot : ScriptListWindow , ScriptSettingsWindow , ScriptTextfileWindow
- slver : LoggedChangeRevision
- small : CompanyFinancesWindow , FontCacheSettings
- small_height : CargoesField
- small_turn : AccelerationSlowdownParams
- smallest_x : NWidgetBase
- smallest_y : NWidgetBase
- smallmap_land_colour : GUISettings
- smallmap_window : NWidgetSmallmapDisplay
- smoke_amount : VehicleSettings
- smooth_scroll : GUISettings
- snow_coverage : GameCreationSettings
- snow_line_height : GameCreationSettings
- snow_offset : RailTypeInfo
- social_platform : SocialIntegrationPlugin
- sock : NetworkTCPSocketHandler
- sock_to_address : TCPConnecter
- socket : TCPServerConnecter , UDPSocket
- sockets : NetworkUDPSocketHandler , TCPConnecter , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- songdata : MpsMachine
- songdatalen : MpsMachine
- songinfo : MusicSet
- songname : MusicSongInfo
- sort_criteria : BuildVehicleWindow , ReplaceVehicleWindow
- sort_func_list : GUIList< T, P, F >
- sort_orders : StationViewWindow
- sort_type : GUIList< T, P, F >
- sort_value : StoryPage , StoryPageElement
- sorter_funcs : BuildBridgeWindow , BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , NetworkContentListWindow , NewGRFWindow , TownDirectoryWindow
- sorter_names : BuildBridgeWindow , TownDirectoryWindow
- sorting : BaseVehicleListWindow
- sorting_order : RailTypeInfo , RoadTypeInfo
- sortings : StationViewWindow
- sound : ClientSettings , NewsTypeData
- source : CargoMovement< Tsource, Tdest > , CargoRemoval< Tsource > , CargoSummaryItem , StringIDMapping
- source_id : CargoPacket
- source_type : CargoPacket
- source_xy : CargoPacket
- spacers : NWidgetToolbarContainer
- spacing : NWidgetPartTextLines
- sparse : WidgetDimensions
- sparse_resize : WidgetDimensions
- SPAWN_JOIN_TICK : LinkGraphSchedule
- spec : NewGRFClass< Tspec, Tid, Tmax > , ObjectScopeResolver
- spec_id : RoadStopSpec
- special_flags : IndustryTileSpec
- speclist : BaseStation
- specs : AirportSpec
- spectators_on : NetworkServerGameInfo
- speed : AnimationInfo , BridgeSpec
- speed_gameloop : FramerateWindow
- spring : River_UserData
- sprite : AnimCursor , Blitter::BlitterParams , BridgeSpec , ButtonCommon , CargoSpec , DropDownIcon< TBase, TEnd > , GrfProcessingState::SpriteSet , PalSpriteID , TileLayoutRegisters , TrueTypeFontCache::GlyphEntry
- sprite_base : Action5Type
- sprite_cache : Vehicle
- sprite_count : CursorVars
- sprite_crash_loc : OpenGLBackend
- sprite_height : Blitter::BlitterParams
- sprite_left : RefitWindow
- sprite_pos : CursorVars
- sprite_program : OpenGLBackend
- sprite_rgb_loc : OpenGLBackend
- sprite_right : RefitWindow
- sprite_screen_loc : OpenGLBackend
- sprite_seq : CursorVars , MutableSpriteCache
- sprite_sprite_loc : OpenGLBackend
- sprite_table : BridgeSpec
- sprite_var10 : TileLayoutRegisters
- sprite_width : Blitter::BlitterParams
- sprite_zoom_loc : OpenGLBackend
- sprite_zoom_min : GUISettings
- spritegroup : GRFFilePropsBase< Tcnt >
- spriteid : GrfProcessingState
- spritenum : Vehicle
- sprites : NewGrfDebugSpritePicker
- spritesets : GrfProcessingState
- SQ_instance : ScriptInfo
- squared_town_zone_radius : TownCache
- src : Subsidy
- src_industry : GenericScopeResolver
- src_type : Subsidy
- st : AirportScopeResolver , AirportTileIterator , AirportTileScopeResolver , FinalizeRefitAction , ReturnCargoAction , RoadStopScopeResolver , StationScopeResolver
- stage : GrfProcessingState
- STALE_LINK_DEPOT_TIMEOUT : LinkGraph
- start : ICURun , StringFilter::WordState
- start_price : PriceBaseSpec
- start_tick : NewGRFProfiler
- start_time : GameSessionStats
- starting_colour : GUISettings
- starting_colour_secondary : GUISettings
- starting_year : GameCreationSettings
- startpos : MpsMachine::Channel
- startup : SettingDesc
- startyear : AfterNewGRFScan
- state : Aircraft , ContentInfo , DisasterVehicle , Filtering , MovementTerminalMapping , Randomizer , RoadVehicle , Ship , SocialIntegrationPlugin
- state_after : Layouter::LineCacheItem
- state_before : Layouter::LineCacheKey , Layouter::LineCacheQuery
- station : CargoDataEntry , CompanyInfrastructure , GameSettings , LinkGraph::BaseNode , TileAndStation
- STATION_ACCEPTANCE_TICKS : Ticks
- station_class : RailStationGUISettings , TileDesc
- station_classes : BuildRailStationWindow
- station_count : RailStationGUISettings
- station_dragdrop : GUISettings
- station_gui_group_order : GUISettings
- station_gui_sort_by : GUISettings
- station_gui_sort_order : GUISettings
- station_index : NPFFindStationOrTileData
- station_length_loading_penalty : OrderSettings
- STATION_LINKGRAPH_TICKS : Ticks
- station_name : IndustrySpec , TileDesc
- station_noise_level : EconomySettings
- station_numtracks : GUISettings
- station_platlength : GUISettings
- station_rating : Cheats
- STATION_RATING_TICKS : Ticks
- station_scope : StationResolverObject
- station_show_coverage : GUISettings
- station_spread : StationSettings
- station_to_node : FlowEdgeIterator
- station_type : NPFFindStationOrTileData , RailStationGUISettings
- stations : StationFinder
- stations_near : Industry , Town
- stations_per_cargo_type : CompanyStationsWindow
- stations_per_cargo_type_no_rating : CompanyStationsWindow
- statistics : Group
- statspec : StationScopeResolver
- statues : Town
- status : AnimationInfo , ClientNetworkGameSocketHandler , GoodsEntry , GRFConfig , NetworkAdminSocketHandler , NetworkGameList , RoadStop , ServerNetworkGameSocketHandler , TCPConnecter
- status_height : NewsWindow
- statusbar_pos : GUISettings
- step_height : ResizeInfo
- step_size : ScriptConfigItem
- step_width : ResizeInfo
- stepsize : Scrollbar
- stickybox : WidgetDimensions
- stickybox_dimension : NWidgetLeaf
- stop_location : GUISettings
- storage : BaseTimer< TTimerType > , PersistentStorageArray< TYPE, SIZE > , ScriptInstance , TemporaryStorageArray< TYPE, SIZE >
- story_page_elements : StoryBookWindow
- story_pages : StoryBookWindow
- str : CheatEntry , IntSettingDesc , Layouter::LineCacheKey , Layouter::LineCacheQuery , TileDesc
- str_help : IntSettingDesc
- str_info : OSXStringIterator , UniscribeStringIterator
- str_val : IntSettingDesc
- string : Case , DropDownString< TBase, TFs, TEnd > , Layouter , NewsStringData , RefitOption , SettingFilter , StringParameter , StringParameterBackup
- string_filter : BuildObjectWindow , BuildRailStationWindow , BuildRailWaypointWindow , BuildRoadStationWindow , BuildVehicleWindow , ContentListFilterData , IndustryDirectoryWindow , NewGRFWindow , SaveLoadWindow , SignList , TownDirectoryWindow
- string_id : BaseStation , EngineInfo , NewsItem , TextEffect , TooltipsWindow
- string_names : GameStrings
- string_params : GameStrings
- strings : RailTypeInfo , RoadTypeInfo , StringData , StringNameWriter , TranslationWriter , UnmappedChoiceList
- stun_handlers : ClientNetworkCoordinatorSocketHandler
- styles : GRFTownName
- sub : ChildScreenSpriteToDraw , ParentSpriteToDraw , TileSpriteToDraw
- sub_date_fract : TimerGameCalendar
- subdir : FileScanner
- subs : NewGRFProfiler::Call
- subscroll : SmallMapWindow
- subsidies : NewsSettings
- subsidy_duration : DifficultySettings
- subsidy_multiplier : DifficultySettings
- subspeed : Vehicle
- substitute_id : EngineIDMapping , EntityIDMapping
- subtags : AllowedSubtags
- subtract_input : IndustryProductionSpriteGroup
- subtype : AircraftVehicleInfo , CargoSummaryItem , RefitOption , RefitResult , Vehicle
- success : CommandCost
- suffix : CurrencySpec
- summary_msg : ErrorMessageData
- supp_cargoes : CargoesField
- supplied : Town
- supply : LinkGraph::BaseNode
- supply_sum : SymmetricScaler
- SUPPORTS_RTL : CoreTextParagraphLayoutFactory , FallbackParagraphLayoutFactory , ICUParagraphLayoutFactory , UniscribeParagraphLayoutFactory
- suspend : ScriptInstance
- switch_company : Cheats
- symbol_pos : CurrencySpec
- sync_anim_mapping : OpenGLBackend
- sync_freq : NetworkSettings
- sync_vid_mapping : OpenGLBackend